From a06d4ceae46a69c3101b16d18c383558b49ed333 Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Mon, 3 Feb 2020 03:51:02 +0300
Subject: [PATCH 08/59] AlpineApkResource: add availableVersion field

for updates
---
 .../backends/AlpineApkBackend/AlpineApkResource.cpp       | 8 ++++++--
 libdiscover/backends/AlpineApkBackend/AlpineApkResource.h | 2 ++
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h
index 79b100e10..7140786c5 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkResource.h
@@ -67,11 +67,13 @@ public:
     void setSection(const QString &sectionName);
     void setAddons(const AddonList &addons);
     void setAddonInstalled(const QString &addon, bool installed);
+    void setAvailableVersion(const QString &av);
 
 public:
     AbstractResource::State m_state;
     const AbstractResource::Type m_type;
     QtApk::Package m_pkg;
+    QString m_availableVersion;
     QString m_category;
     QString m_originSoruce;
     QString m_sectionName;
-- 
GitLab


